Config (draft) admin API Resource

System configuration drafts handling WS

POST /admin/config

Add new system configuration draft basing on active one

Example of request:

{"name":"Sample configuration"}

Try it out!

Request Body
media type data type description
application/json HdcConfigurationDraftModelTO (JSON) json with name parameter
Response Body
media type data type description
application/json HdcBasicObjectIdOnlyTO (JSON) JSON Response with information, whether the addition has or has not been succeeded.

GET /admin/config/json

Get list of system configuration drafts

Try it out!

Response Body
media type data type description
application/json object (JSON) JSON with list of system configuration drafts.

Example of response:

{"list":[{"id":"1","name":"Initial configuration","current":"true","publishDate":"2014-02-10T10:31:24.278938+01:00","publisher":"rsc"}]}

PUT /admin/config/refresh

Refreshes specified system configuration draft

Try it out!

Response Body
media type data type description
application/json object (JSON) JSON Response with information, whether activation was successful.

DELETE /admin/config/{configurationId}

Delete specified system configuration draft

Try it out!

Request Parameters
name type description default constraints
configurationId path ID of the configuration draft   long
Response Body
media type data type description
application/json HdcSuccessTO (JSON) JSON Response with information, whether the removing has or has not been succeeded.

POST /admin/config/{configurationId}

Activates specified system configuration draft

Try it out!

Request Parameters
name type description default constraints
configurationId path ID of the configuration draft   long
Response Body
media type data type description
application/json HdcSuccessTO (JSON) JSON Response with information, whether activation was successful.

PUT /admin/config/{configurationId}

Update name of specified system configuration draft

Example of request:

{"name":"updated configuration name"}

Try it out!

Request Parameters
name type description default constraints
configurationId path Id of configuration draft   int
Request Body
media type data type description
application/json HdcConfigurationDraftModelTO (JSON) json with name parameter
Response Body
media type data type description
application/json HdcSuccessTO (JSON) JSON Response with information, whether the update has or has not been succeeded.